/**
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package net.ftlines.metagen.processor.tree.visitor;

import net.ftlines.metagen.processor.tree.BeanSpace;
import net.ftlines.metagen.processor.tree.NestedBean;
import net.ftlines.metagen.processor.tree.Property;
import net.ftlines.metagen.processor.tree.TopLevelBean;
import net.ftlines.metagen.processor.tree.Visitor;

public abstract class VisitorAdapter implements Visitor
{

	@Override
	public void enterBeanSpace(BeanSpace space)
	{
	}

	@Override
	public void exitBeanSpace(BeanSpace space)
	{
	}

	@Override
	public void enterTopLevelBean(TopLevelBean node)
	{
	}

	@Override
	public void exitTopLevel(TopLevelBean node)
	{
	}

	@Override
	public void enterNestedBean(NestedBean node)
	{
	}

	@Override
	public void exitNestedBean(NestedBean node)
	{
	}

	@Override
	public void enterProperty(Property node)
	{
	}

	@Override
	public void exitProperty(Property node)
	{
	}

}
